
%define version 0.27
%define release %mkrel 1

Summary: Mandriva graphical boot theme
Name: mandriva-gfxboot-theme
Version: %version
Release: %release
License: GPL 
Group: System/Configuration/Boot and Init
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/theme/gfxboot/trunk/
Source0: %{name}.tar
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gfxboot
Requires(post): perl-Archive-Cpio
Exclusivearch: %ix86 x86_64

%description
This package provides the Mandriva gfxboot theme. This theme is used by the
Mandriva installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%setup -q

%build

make prefix=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" -gt 1 ]; then
   %_sbindir/grub-gfxmenu --update-gfxmenu
fi

%files
%defattr(-,root,root,-)
%doc
%_sbindir/*
%_datadir/gfxboot/themes/Mandriva/





%changelog
* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.27-1mdv2008.0
+ Revision: 95119
- updated translation

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 0.26-1mdv2008.0
+ Revision: 90589
- 0.26:
- move "Boot Options" line so that it leaves space for many bootloader entries
  (#33631)

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 0.25-1mdv2008.0
+ Revision: 88988
- 0.25: release disable hebrew until font issue is fixed (#30862)

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 0.24-1mdv2008.0
+ Revision: 84005
- 0.24:
- images for 2008.0
- disable hebrew until font issue is fixed (#30862)
- change color of F1,F2... at bottom so that it's readable
- adapt the position and width of the menu to the image
- increase max entries (it won't hurt if you have less, and the user doesn't
  know the hidden entries can be obtained through scrolling the list of entries)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 0.23-1mdv2008.0
+ Revision: 78484
- 0.23: images for 2008.0

* Tue Aug 07 2007 Pixel <pixel@mandriva.com> 0.22-2mdv2008.0
+ Revision: 59742
- build on x86_64 (as suggested by Anssi, #32339)

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 0.22-1mdv2008.0
+ Revision: 58505
- fix Group
- s/2007 Spring/2008/


* Thu Mar 29 2007 Pixel <pixel@mandriva.com> 0.21-1mdv2007.1
+ Revision: 149313
- new release, 0.21
- remove weird/unknown "livecd" stuff
- adapt livecd F2/F3/F4 to what we really want for mandriva one
- transform "live" entry into "Boot Mandriva Linux 2007 Spring"
  (to be similar to grub entry of installed system)
  (nb: to activate livecd, put "livecd=1" in isolinux/gfxboot.cfg)

* Tue Mar 27 2007 Pixel <pixel@mandriva.com> 0.20-1mdv2007.1
+ Revision: 148817
- 0.20, new release
- fix translation in zh_CN (and partially pt_BR)
- fix description (thanks to Luis Vicente Castillo Corbella)

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.19-1mdv2007.1
+ Revision: 148525
- 0.19, new release with fixed pt_BR translation

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.18-1mdv2007.1
+ Revision: 148344
- new release, 0.18: more up-to-date translations

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 0.17-1mdv2007.1
+ Revision: 146523
- allow grub-gfxmenu to be quiet on error

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 0.16-1mdv2007.1
+ Revision: 146503
- new release, 0.16
- add "F6 - Kernel Option" to isolinux
- update product to "Mandriva Linux 2007 Spring"

* Sat Mar 17 2007 Pixel <pixel@mandriva.com> 0.15-1mdv2007.1
+ Revision: 145613
- bug fix release: allow using grub-gfxmenu --update-gfxmenu to create /boot/gfxmenu (#29353)

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 0.14-1mdv2007.1
+ Revision: 145255
- new release, 0.14
- larger menu (needed for long strings in some translations)
- grub-gfxboot: be quiet

* Thu Mar 15 2007 Pixel <pixel@mandriva.com> 0.13-1mdv2007.1
+ Revision: 144381
- new release, 0.13
- add script grub-gfxmenu which allows setting the language, the theme,
  and updating the package
- call grub-gfxmenu --update-gfxmenu on upgrade

* Wed Mar 14 2007 Pixel <pixel@mandriva.com> 0.12-1mdv2007.1
+ Revision: 143658
- new release, 0.12
- grub
  o have all langs in boot/message
  o ensure the menu.entry returned is based on real list,
    not the light list (#29327)
- isolinux
  o moved languages out of bootlogo
  o moved translations inside bootlogo
    (to avoid cluttering isolinux/ on CDs)

* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 0.10-1mdv2007.1
+ Revision: 138395
- wrap %%description too long line
- new release, 0.10
- grub:
  o do have a short panel
    (esp. useful so that using "F2-Options" will unhide the cmdline)
  o hide linux-nonfb (we'll make it available through a menu)
- isolinux
  o pass updatemodules when chosen F5-Driver Yes

* Wed Mar 07 2007 Pixel <pixel@mandriva.com> 0.9-1mdv2007.1
+ Revision: 134387
- new release, 0.9
- reduce the number of lines to avoid garbage in language menu (#28734)
- ensure the chosen resolution overrides the default resolution
- hide the "boot options line" by default.
  It will be displayed using F3 (Options)
  (nb: need adding F3 to grub)
- dynamically drop some entries (vgalo, vgahi, text, noacpi, alt0)
  (it will allow having those entries when gfxboot fails)
- remove existing automatic= option
- drop F8 and F9 (otherwise it crashes, cf #28993)

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 0.8-1mdv2007.1
+ Revision: 122048
- fix black screen (re-save welcome.jpg with gimp)

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 0.7-1mdv2007.1
+ Revision: 121927
- remove tmpfile.tr
- new image
- neat & verbose entries at boot and at install
- remove not handled install methods
- don't build require gimp (not needed anymore)

* Wed Feb 14 2007 Warly <warly@mandriva.com> 0.6-1mdv2007.1
+ Revision: 120928
- update tarball and spec for version 0.6

* Tue Jan 16 2007 Pixel <pixel@mandriva.com> 0.5-2mdv2007.1
+ Revision: 109447
- rebuild (x86_64 is missing)

* Tue Dec 12 2006 Warly <warly@mandriva.com> 0.5-1mdv2007.1
+ Revision: 95710
- update tarball and spec for version 0.5
- update tarball and spec for version 0.5
- update tarball and spec for version 0.4

* Wed Dec 06 2006 Pixel <pixel@mandriva.com> 0.4-1mdv2007.1
+ Revision: 91781
- add the missing star.dat
- adapt to gfxboot format 8, boot/ theme now working with grub
- build require new gfxboot (the format has changed)
- Import mandriva-gfxboot-theme

* Thu Sep 21 2006 Warly <warly@mandriva.com> 0.3-1mdv2007.0
- add more translation
- rebuild for final

* Fri Sep 15 2006 Warly <warly@mandriva.com> 0.2-1mdv2007.0
- adjust the menu size and position
- adjust the logo position
- clean some wrong help messages

* Fri Jul 14 2006 Warly <warly@mandriva.com> 0.1-1mdv2007.0
- Initial build.

